Package nl.tudelft.simulation.dsol.animation.gis

## Enum ScreenPosition

- java.lang.Object
- - java.lang.Enum<ScreenPosition>
  - - nl.tudelft.simulation.dsol.animation.gis.ScreenPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<ScreenPosition>`

    public enum ScreenPosition
    extends Enum<ScreenPosition>

ScreenPosition indicates a position on the screen, e.g. for a legend or a scale bar.

Copyright (c) 2020-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck

### Enum Constant Summary

Enum Constants
`CenterCenter` Center Center.
`CenterLeft` Center Left.
`CenterRight` Center Right.
`LowerCenter` Lower Center.
`LowerLeft` Lower Left.
`LowerRight` Lower Right.
`UpperCenter` Upper Center.
`UpperLeft` Upper Left.
`UpperRight` Upper Right.

### Method Summary

All Methods Static Methods Concrete Methods
`static ScreenPosition` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ScreenPosition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UpperLeft

    public static final ScreenPosition UpperLeft

Upper Left.

#### UpperCenter

    public static final ScreenPosition UpperCenter

Upper Center.

#### UpperRight

    public static final ScreenPosition UpperRight

Upper Right.

#### CenterLeft

    public static final ScreenPosition CenterLeft

Center Left.

#### CenterCenter

    public static final ScreenPosition CenterCenter

Center Center.

#### CenterRight

    public static final ScreenPosition CenterRight

Center Right.

#### LowerLeft

    public static final ScreenPosition LowerLeft

Lower Left.

#### LowerCenter

    public static final ScreenPosition LowerCenter

Lower Center.

#### LowerRight

    public static final ScreenPosition LowerRight

Lower Right.

### Method Detail

#### values

    public static ScreenPosition[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScreenPosition c : ScreenPosition.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScreenPosition valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null